/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mq.sm.file;

/**
 * MBean interface.
 */
public interface OldStateManagerMBean extends org.jboss.system.ServiceMBean
{

   /**
    * Sets the StateFile attribute of the StateManagerMBean object
    * @param newStateFile The new StateFile value    */
   void setStateFile(java.lang.String newStateFile);

   org.jboss.mq.sm.StateManager getInstance();

   /**
    * Gets the StateFile attribute of the StateManagerMBean object
    * @return The StateFile value    */
   java.lang.String getStateFile();

   void loadConfig() throws java.io.IOException, org.jboss.mq.xml.XElementException;

   void saveConfig() throws java.io.IOException;

   java.lang.String displayStateConfig() throws java.lang.Exception;

}
